import org.junit.jupiter.api.BeforeAll;

import static org.junit.jupiter.api.Assertions.*;

class WorthaeufigkeitsanalyseTest {


    @org.junit.jupiter.api.Test
    void verarbeiteText() {
        Worthaeufigkeitsanalyse worthaeufigkeitsanalyse = new Worthaeufigkeitsanalyse();
        assertEquals(0, worthaeufigkeitsanalyse.gibWoerterHaeufigkeit().size());
        worthaeufigkeitsanalyse.verarbeiteText("test");
        assertEquals(1, worthaeufigkeitsanalyse.gibWoerterHaeufigkeit().size());
        assertEquals(1, worthaeufigkeitsanalyse.gibWoerterHaeufigkeit().get("test"));
        worthaeufigkeitsanalyse.verarbeiteText("test test");
        assertEquals(1, worthaeufigkeitsanalyse.gibWoerterHaeufigkeit().size());
        assertEquals(3, worthaeufigkeitsanalyse.gibWoerterHaeufigkeit().get("test"));
        worthaeufigkeitsanalyse.verarbeiteText("hallo TeSt hallo");
        assertEquals(2, worthaeufigkeitsanalyse.gibWoerterHaeufigkeit().size());
        assertEquals(4, worthaeufigkeitsanalyse.gibWoerterHaeufigkeit().get("test"));
        assertEquals(2, worthaeufigkeitsanalyse.gibWoerterHaeufigkeit().get("hallo"));

        worthaeufigkeitsanalyse.verarbeiteText("");
        assertEquals(2, worthaeufigkeitsanalyse.gibWoerterHaeufigkeit().size());
        assertEquals(4, worthaeufigkeitsanalyse.gibWoerterHaeufigkeit().get("test"));
        assertEquals(2, worthaeufigkeitsanalyse.gibWoerterHaeufigkeit().get("hallo"));

    }

    @org.junit.jupiter.api.Test
    void entferneSatzzeichen() {
        Worthaeufigkeitsanalyse worthaeufigkeitsanalyse = new Worthaeufigkeitsanalyse();
        assertEquals("test", worthaeufigkeitsanalyse.entferneSatzzeichen("test."));
        assertEquals("test", worthaeufigkeitsanalyse.entferneSatzzeichen(".test"));
        assertEquals("test", worthaeufigkeitsanalyse.entferneSatzzeichen("test.."));
        assertEquals("test", worthaeufigkeitsanalyse.entferneSatzzeichen("..test"));
        assertEquals("test", worthaeufigkeitsanalyse.entferneSatzzeichen(".test."));
        assertEquals("test", worthaeufigkeitsanalyse.entferneSatzzeichen("test,"));
        assertEquals("test", worthaeufigkeitsanalyse.entferneSatzzeichen("test?"));
        assertEquals("test", worthaeufigkeitsanalyse.entferneSatzzeichen("test!"));
        assertEquals("test", worthaeufigkeitsanalyse.entferneSatzzeichen("test:"));
        assertEquals("test", worthaeufigkeitsanalyse.entferneSatzzeichen("test;"));
        assertEquals("", worthaeufigkeitsanalyse.entferneSatzzeichen(""));
        assertEquals("test", worthaeufigkeitsanalyse.entferneSatzzeichen("test;"));
        assertEquals("test test", worthaeufigkeitsanalyse.entferneSatzzeichen("test test."));
        assertEquals("test.test", worthaeufigkeitsanalyse.entferneSatzzeichen("test.test"));

    }

    @org.junit.jupiter.api.Test
    void druckeStatistik() {
    }
}